<?php
/*******************************************************
Trovate questo e altri script su http://www.manuelmarangoni.it , descritti e commentati nei dettagli.

Autore: Manuel Marangoni
Data messa online dello script: 4 luglio 2012


Lo script recupera l'indirizzo passato in $address e, tramite le api geocode di Google Maps, lo trasforma in latitudine e longitudine.
Basta farlo girare sul server e cambiare la variabile $address con il dovuto indirizzo.
L'esempio si basa su https://developers.google.com/maps/articles/phpsqlgeocode
****************/

//Inizializza il ritardo nella velocit del geocode
$delay=0;
$base_url="http://maps.google.com/maps/geo?output=xml&key=abcdefg";

$geocode_pending=true;

while($geocode_pending){
	
	//Questa  l'unica variabile da modificare: scrivere qui l'indirizzo civico
	$address="Via dietro Anfiteatro, 37121 Verona";
	
	$id=1;
	$request_url=$base_url."&q=".urlencode($address);
	$xml=simplexml_load_file($request_url) or die("url non caricato");
	
	$status=$xml->Response->Status->code;
	
	//Il geocode ha avuto successo
	if(strcmp($status, "200")==0){
		
		$geocode_pending=false;
		$coordinates=$xml->Response->Placemark->Point->coordinates;
		$coordinatesSplit=explode(",", $coordinates);
		
		// In ordine nell'array si trova: Longitude, Latitude, Altitude
		$lng=$coordinatesSplit[0];
		$lat=$coordinatesSplit[1];
		$alt=$coordinatesSplit[2];
		
		echo $lat." --- ".$lng." --- ".$alt;
	
	  
	//Il geocode  sttato inviato troppo velocemente
	}elseif(strcmp($status, "620")==0){
		
		$delay+=100000;
	  
	//Il geocode non ha avuto successo
	}else{
		
		$geocode_pending=false;
		echo "Address ".$address." failed to geocoded. ";
		echo "Received status ".$status."\n";
	  
	}
	usleep($delay);
	
}

?>

